configuration_file.hpp File Reference

A class to get the content of a configuration file. More...

`#include <claw/iterator.hpp>`
`#include <claw/functional.hpp>`
`#include <iostream>`
`#include <map>`
`#include <string>`

Go to the source code of this file.

## Classes

class | claw::configuration_file
| A class to get the content of a configuration file. More...
struct | claw::configuration_file::syntax_description
| This class tells us how to parse the input file. More...
class | claw::configuration_file::const_field_iterator
| This class is an iterator on the values set for a same field name. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

A class to get the content of a configuration file.

Author
  Julien Jorge.

Definition in file configuration_file.hpp.